Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.cpp.cdt.model
[Groovy] Class ProjectSettings

    java.lang.Object
      org.gradle.plugins.cpp.cdt.model.ProjectSettings

    class ProjectSettings

Gradle model element, the configurable parts of the .project file.

Property Summary
`String` | `name`

Method Summary
`void` | `applyTo(ProjectDescriptor descriptor)` Apply this logical model to the physical descriptor

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### name

    String name

Method Detail

### applyTo

    void applyTo(ProjectDescriptor descriptor)

  Apply this logical model to the physical descriptor

Gradle API 1.1-rc-1